Description

often times, android will crash while tethered by usb. basically, my laptop shows a connection active through network manager, but
pages will not load. then after a minute or two, i might check the phone, and the screen wakes up. the cursor is blinking for password
entry. then i click on the text area, and the keyboard shows up, but i don't feel the haptic response. i hit the return button, and the
keyboard disappears, without response. i still don't feel the vibration. then at about that time, the screen freezes. this doesn't always
happen the same way.

i'm also getting crashes when not using usb tethering, etc. it's pretty unpredictable. also, i can use usb tethering without a crash,
oftentimes.

i use replicant 4.0 0003 on a samsung galaxy s2. i do happen to use the wifi and video hardware acceleration firmwares.

History

#1 - 07/19/2013 07:39 AM - Paul Kocialkowski

USB tethering works fine on Galaxy S2 with the proper non-free firmwares installed here.

You should better make sure that you have correctly wiped data after installing and send detailed bug reports (see GettingLogs on our wiki).

#2 - 07/22/2013 10:48 AM - Paul Kocialkowski
- Status changed from New to Rejected

- Resolution set to worksforme

Feel free to reopen with proper logs and informations.

#3 - 08/08/2013 02:44 PM - Andrew Engelbrecht

hello. i upgraded to 4.0 0004, and made sure that i wiped every partition possible, and ran the reset script. i couldn't wipe the "/sdcard" partition, since
i don't have an external card, but could wipe /emmc. | then ran the system reset option (whatever it's called) in recovery mode. it gave an error for
formatting /sdcard, but then said "Done." at the end. so i think i wiped it completely.

I'm can't quite remember if I've seen many system hangs, but | have been getting kernel panics quite frequently, usually more than once per day. A
screen comes up saying "Kernel Panic Upload Mode", and something like "..._RST [0x2000... ]" Is there a way to dump the specifics of the kernel
panic using some free software (or even non-free software :[ ) tool?

#4 - 08/12/2013 09:46 PM - Paul Kocialkowski

I'll keep your issue open if you can provide more details. | don't see how | can reproduce this, so it seems to be an issue specific to your phone and
not to Replicant.

Please try to provide logs of the kernel panics (dmesg should provide enough details).

#5 - 08/16/2013 11:01 PM - Andrew Engelbrecht

ok. i guess it could have to do with the configuration, or some factor of the whole installation that caused the various issues.

right now i'm not using replicant, so i can't easily provide debugging information. i'm using a cyanogenmod 10.1 nightly, and haven't really had issues
with panics or system hangs. when i upgraded, i didn't 'cp -a' the data.tgz backup i did over /data. i just copied over a few files for a few programs. i

didn't copy settings from the original firmware to replicant, so i'm not sure where things went wrong... at least others don't seem to be having the
issue. :)
#6 - 08/17/2013 09:59 AM - Paul Kocialkowski

Did you import such configurations on /data when installing Replicant? If so, it is very likely to have caused this strange behavior!

#7 - 12/15/2015 01:05 PM - Denis '"GNUtoo' Carikli
- Category changed from 81 to Framework

- Device Galaxy S 2 (19100) added
